@media screen and (min-width: 1201px) {
  .background::after {
      position: fixed;
      top: 0;
      left: 0;
      z-index: 0;
      width: 100%;
      height: 127px;
      content: "";
      background-color: #195da9;
  }
}

* {
  z-index:1;
  user-select: none;
  -webkit-tap-highlight-color: rgba(0,0,0,0);

}



body {
  font-size:16px;

}

.background {
  background-color: #e0e0e0;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

h2 {
  font-size:24px;
  margin-top:15px;
  margin-bottom:15px;
}

.app-container {
  display: flex;
  width: calc(100% - 38px);
  max-width: 1600px;
  height: calc(100% - 38px);
  min-height: 300px;
  background-color: #f4f4f4;
  border-radius: 0px;
  padding: 0px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  z-index: 1;
  position: fixed;
  overflow: hidden; /* Empêche les éléments enfants de dépasser */
}

@media screen and (max-width: 1200px) {
  .app-container {
    display: flex;
    width: 100%;
    height: 100%;
    background-color: #f4f4f4;
    border-radius: 0px;
    padding: 0px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    z-index:1;
  }
}

p {
  margin:0;
  user-select:text;
}

.left-menu {
  width: 30%;
  min-width: 315px;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  height: 100%; /* Assure que la sidebar ne dépasse pas la hauteur de app-container */
  position:relative;
}

.right-content {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background-color: white;
  border-radius: 0px;
  padding: 0;
  position: relative;
  width: 100%;
  transition: width 0.3s ease-out; /* Transition pour un changement de largeur fluide */
  overflow:hidden;
}





button {
  background-color: #195da9;
  font-size:16px;

    color: white;
    padding: 10px;
    border: none;
    border-radius: 10px;
    cursor: pointer;

}

button:hover {
    background-color: #164a7e;
  
}

.affichageChat {
  width: 100%; /* Par défaut, occupe toute la largeur */
  transition: width 0.3s ease-out;
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

@media screen and (min-width: 1201px) {
  .right-content.show-infos .affichageChat {
    width: 60%; /* Réduit à 50% quand voletDroite est visible */
  }

  .right-content.show-infos .voletDroite {
    width: 40%;
    transform: translateX(0); /* Se déplace à la position finale (visible) */
  }
}

/* Quand voletDroite est inactif et l'écran est large (min-width: 1201px) */
@media screen and (min-width: 1201px) {
  .right-content .voletDroite {
    width: 50%;
    transform: translateX(100%); /* Position de départ en dehors de l'écran */
  }
}

/* Styles pour les écrans de largeur inférieure (max-width: 1200px) */
@media screen and (max-width: 1200px) {
  .right-content .affichageChat {
    width: 100%;
  }

  .right-content .voletDroite {
    width: 100%;
    transform: translateX(100%); /* Par défaut, caché */
  }

  .right-content.show-infos .voletDroite {
    transform: translateX(0); /* Pleine largeur et visible */
  }

  .app-container {
    top:0;
  }
}



.titreEtCroix {
  height:60px;
  padding:0 20px 0 25px;
  display:flex;
  align-items: center;
  flex-shrink: 0;
}

.fermerCroix {
  margin-right:30px;
  cursor:pointer;
}

.titre {
  font-size:16px;
  color:#111B21;
  margin-top: -5px;
}



.searchTag {
  border-radius: 16px;
  font-size: 14px;
  font-weight: normal;
  padding: 6px 12px;
  height: 32px;
  box-sizing: border-box;
  flex-shrink: 0;
  align-content: center;
  text-align: center;
  cursor:pointer;
}

.searchTag.bleu {
  background-color: #d3e7fd;
  width: 80px;

}

.searchTag.gris {
  background-color: #f0f2f5;
}

.searchTag.gris:hover {
  background-color:#e9edef;
}

.searchTag.disabled {
  background-color: #f0f2f5;
  color:rgb(181, 181, 181);
  cursor: not-allowed;
}


@media screen and (max-width: 767px) {
  .left-menu {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    transition: transform 0.3s ease-out;
  }

  .right-content {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 100%;
    z-index: 1;
    transition: transform 0.3s ease-out;
  }

  .right-content.show-infos {
    left: 0;
  }

  .left-menu.hidden {
    transform: translateX(-100%);
  }
}

@media screen and (max-width: 767px) {
  .right-content.show-infos .voletDroite.voletInactif {
    transform: translateX(100%)!important;
  }
  .right-content {
    left:0;
  }
  .voletDroite.voletActif {
    transform: translateX(0)!important;
  }
  .mobileShow {
    display:flex!important;
  }
  .largeShow {
    display:none!important;
  }
}

@media screen and (min-width: 767px) {
  .mobileShow {
    display:none!important;
  }
  .largeShow {
    display:flex!important;
  }
}

